<div class="flex flex-col w-full h-full place-content-center items-center bg-local" style="background-image: url('./assets/images/bgg.png');
background-repeat: repeat;width: 100%;
  height: 100%;">

  <div class="sm:w-4/5 md:w-3/5 lg:w-1/3 px-10 pr-25 pl-25 pt-20 pb-20 bg-gradient-to-r from-sky-500 to-indigo-500 shadow-2xl drop-shadow-xl rounded-lg opacity-90">
    <div class="flex flex-col">

      <div class>
        <img class="mx-auto h-32 w-auto" src="./assets/images/moph_logo.png" alt="IPD Paperless">
        <h2 class="mt-10 text-center text-2xl font-bold leading-9 tracking-tight text-gray-900">IPD Paperless</h2>
      </div>
      <div class="mt-10 sm:mx-auto sm:w-full sm:max-w-sm">
        <form class="space-y-6" method="POST" name="form" [formGroup]="validateForm" (ngSubmit)="onSubmit()">
          <div>
            <div class="mt-2">
              <input id="username" name="username" type="text" placeholder="username" formControlName="username" required class="block h-12 w-full p-5 rounded-lg border-0 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 text-xl sm:leading-6">
            </div>
          </div>

          <div>
            <div class="flex items-center justify-between">
            </div>
            <div class="mt-2">
              <!-- <input id="password" name="password" type="password" placeholder="password" formControlName="password" [type]="passwordVisible ? 'text' : 'password'" required class="block h-12 text-xl w-full rounded-lg p-5 border-0 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 text-xl sm:leading-6"> -->
              <nz-input-group [nzSuffix]="suffixTemplate" class="rounded-lg">
                <input formControlName="password"
                  [type]="passwordVisible ? 'text' : 'password'"
                  nz-input
                  placeholder="input password"
                  class="block h-10 text-xl w-full rounded-lg p-5 py-1.5 text-gray-900 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 text-xl sm:leading-6"
                />
              </nz-input-group>
              <ng-template #suffixTemplate>
                <span
                  nz-icon
                  [nzType]="passwordVisible ? 'eye-invisible' : 'eye'"
                  (click)="passwordVisible = !passwordVisible"
                ></span>
              </ng-template>
            </div>
          </div>

          <div class="text-sm">
            <a href="#" class="font-semibold text-indigo-800 hover:text-indigo-700">Forgot password?</a>
          </div>

          <div>
            <button type="submit" class="w-full h-12 opacity-100 rounded-full bg-gradient-to-r from-indigo-500 via-purple-500 to-pink-500 hover:bg-gradient-to-l from-indigo-800 via-purple-800 text-2xl leading-6 text-white text-center  focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Login Now</button>
          </div>
        </form>

      </div>
    </div>

  </div>
</div>
